<div class="annotation-list">
  <ng-container *ngIf="annotationsLoaded; else loading">
    <app-annotation-item
      *ngFor="let annotation of annotations; trackBy: trackByAnnotation"
      [annotation]="annotation"
      [selected]="selectedAnnotation === annotation.id"
      (annotationSelected)="annotationSelected.emit($event)"
      (zoomToAnnotation)="zoomToAnnotation.emit($event)">
    </app-annotation-item>
  </ng-container>
  <ng-template #loading>
    <div class="annotations-loading-indicator">
      <mat-spinner diameter="40"></mat-spinner>
      <p>Loading annotations...</p>
    </div>
  </ng-template>
</div>
